#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: attoparsec-enumerator
version: 0.3.4
id: attoparsec-enumerator-0.3.4-ad68fc9dbdad0aded9910f5d53cb6f0e
key: attop_98f5iwOtCOA3xH8WiztYcL
license: MIT
maintainer: John Millikin <jmillikin@gmail.com>
stability: experimental
homepage: https://john-millikin.com/software/attoparsec-enumerator/
synopsis: Pass input from an enumerator to an Attoparsec parser.
description:
    This library allows an Attoparsec parser to receive input incrementally
    from an enumerator. This could be used for parsing large files, or
    implementing binary network protocols.
    .
    > (-# LANGUAGE OverloadedStrings #-)
    >
    > import Control.Applicative
    > import Data.Attoparsec
    > import Data.Attoparsec.Enumerator
    > import Data.Enumerator
    > import Data.Enumerator.Binary (enumHandle)
    > import Data.Enumerator.List
    > import System.IO
    >
    > parser = string "foo" <|> string "bar"
    >
    > main = do
    >     xy <- run_ (enumHandle 1 stdin $$ do
    >         x <- iterParser parser
    >         y <- iterParser parser
    >         return (x, y))
    >     print xy
category: Text, Parsing, Enumerator
author: John Millikin <jmillikin@gmail.com>
exposed: True
exposed-modules:
    Data.Attoparsec.Enumerator
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/attoparsec-enumerator-0.3.4
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/attoparsec-enumerator-0.3.4
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/attoparsec-enumerator-0.3.4
hs-libraries: HSattoparsec-enumerator-0.3.4-98f5iwOtCOA3xH8WiztYcL
include-dirs: /usr/local/include
depends:
    attoparsec-0.12.1.6-afc89750d5b2dfe5c23c97630edee83d
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    enumerator-0.4.20-479f823055d9335e97ab908c1843e355
    text-1.2.1.3-6b3e1cbb2a57ec42cb19d113292b56f4
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/attoparsec-enumerator-0.3.4/html/attoparsec-enumerator.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/attoparsec-enumerator-0.3.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
